Redmine - Defect #6099

Subtasks plugin with Debian redmine package 1.0.0-4
2010-08-10 19:21 - Rayservers GmbH

Status: Closed Start date: 2010-08-10
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

Unable to make the Subtasks plugin work.
| took several steps to overcome some problems:

1. In db/migrate/20090406213813_add_issues_parent_id_Ift_and_rgt.rb
| had to comment out the following to get rake to run, as those fields seem to have been present -

def self.up

# add_column :issues, :parent_id, :integer, :default => nil
# add_column :issues, :1ft, :integer
# add_column :issues, :rgt, :integer
end
def self.down
# remove_column :issues, :parent_id
# remove_column :issues, :1ft
# remove_column :issues, :rgt
end
end

Then rake completed successfully.

Then issues would not display - which was fixed by the same fix as:
http://www.redmine.org/attachments/3784/fix-advanced-roadmap.patch

Then 403 errors on adding a new issue with the subtasks plugin

which was fixed by renaming the class from IssuesController to SublssueController
per
http://www.redmine.org/boards/2/topics/6143#message-6219

Subtasks could not be added despite adding all permissions:

http://www.redmine.org/boards/2/topics/14943#message-14958
and added all permissions to no avail,

It looks like something along the lines of:

http://www.redmine.org/boards/3/topics/5506?page=2

might fix the authorize problem, and/or the URLs need to call the the SublssueController class rather than the IssueController class,
but at that point, I'd have to learn Ruby... not enough time, and the subject matter of our projects is calling.

Can someone take these hints and get this plugin working and update the git? Or at least post a note on the main plugins page that
its broken with 1.0. Thanks.

Versions we used:

redmine-sqlite 1.0.0-4

apt-show-versions ruby

ruby/sid uptodate 4.5

ruby -v

ruby 1.8.7 (2010-06-23 patchlevel 299) [i486-linux]
http://www.redmine.org/attachments/3784/fix-advanced-roadmap.patch
http://www.redmine.org/boards/2/topics/6143#message-6219
http://www.redmine.org/boards/2/topics/14943#message-14958
http://www.redmine.org/boards/3/topics/5506?page=2

apt-show-versions rails
rails/sid uptodate 2.3.5-1
rails -v

Rails 2.3.5
apt-show-versions sqlite
sqlite/sid uptodate 2.8.17-6
sqlite3 --version

3.7.0

Thanks for Redmine.

History

#1 - 2010-08-10 20:32 - Felix Schafer
- Status changed from New to Closed

- Resolution set to Invalid

Some remarks:

1. The subtasks plugin has never been an official plugin,

2. Redmine 1.0 supports subtasks OOTB, though the Ul is somewhat improvement-worthy,

3. The plugin added some columns that collide with the current core implementation,

4. See #6035 for a proposed patch, it's not official either though, use at your own risk,

5. Please report all problems with the Debian package to the Debian tracker, they will report problems upstream if needed, thanks.

#2 - 2010-08-10 20:39 - Felix Schafer

Oh, and even though | sounded a little dry, | appreciate the effort to try to solve this, but as | said: we won't provide an upgrade path for a plugin,
sorry.

#3 - 2010-08-10 20:49 - Rayservers GmbH

No worries. There are no defects in Redmine or the Debian Redmine package per se... just reported the plugin breakage here since it seemed to be
the thing to do. Perhaps the plugin author will notice and fix (or clearly indicate where we should report the bug). A link to this bug for those who may
have the latest Redmine and think they want subtasks... may save them some trouble.

All the best and thanks again.

#4 - 2010-08-10 21:52 - Rayservers GmbH
- % Done changed from 0 to 100

Added note that plugin is deprecated

#5 - 2010-08-11 08:26 - Felix Schafer
Thanks.
http://www.redmine.org/wiki/redmine/Plugin_List#Subtasks-plugin
